/* Add here all your JS customizations */
/* Add here all your JS customizations */


// Ajax Submit ORDEN ITEM


$(document).on("click",".btn-orden",function(){
    
            var problem = 0;
    
           $.ajax({
				type: 'POST',
				url: '../post/orden.php',
                dataType: "json",
                cache: false,
                timeout: 8000,
				data: {
					act: $(this).data("act"),
					id_orden: $(this).data("key"),
					tabla: $(this).data("tabla")
				},
                success: function(data) {
                    
                    if(data){
                        location.reload(); 
                    }else{
                        if(problem ==1){
                            alter("Ups!, existio un problema en la solicitud, por favor intente otra véz");
                        }else if(problem>1){
                            alter("Ups!, existio un problema en la solicitud, por favor intente otra véz, si el problema perisiste contactese con el administrador");
                        }
                    }
                    
                },
                error: function(data) { 
                        if(problem ==1){
                            alter("Ups!, existio un problema en la solicitud, por favor intente otra véz");
                        }else if(problem>1){
                            alter("Ups!, existio un problema en la solicitud, por favor intente otra véz, si el problema perisiste contactese con el administrador");
                        }
                },
                complete: function(){}
			});
    
    
    
    
    
});



// Ajax Submit ESTADOS


$(document).on("click",".btn-estado",function(){
    
            var problem = 0;
    
           $.ajax({
				type: 'POST',
				url: '../post/estado.php',
                dataType: "json",
                cache: false,
                timeout: 8000,
				data: {
					estado: $(this).data("estado"),
					id_estado: $(this).data("key"),
					tabla: $(this).data("tabla")
				},
                success: function(data) {
                    
                    if(data){
                        location.reload(); 
                    }else{
                        if(problem ==1){
                            alter("Ups!, existio un problema en la solicitud, por favor intente otra véz");
                        }else if(problem>1){
                            alter("Ups!, existio un problema en la solicitud, por favor intente otra véz, si el problema perisiste contactese con el administrador");
                        }
                    }
                    
                },
                error: function(data) { 
                        if(problem ==1){
                            alter("Ups!, existio un problema en la solicitud, por favor intente otra véz");
                        }else if(problem>1){
                            alter("Ups!, existio un problema en la solicitud, por favor intente otra véz, si el problema perisiste contactese con el administrador");
                        }
                },
                complete: function(){}
			});
    
    
    
    
    
});



// Ajax Submit DESTACADO


$(document).on("click",".btn-destacado",function(){
    
            var problem = 0;
    
           $.ajax({
				type: 'POST',
				url: '../post/destacado.php',
                dataType: "json",
                cache: false,
                timeout: 8000,
				data: {
					destacado: $(this).data("destacado"),
					id_destacado: $(this).data("key"),
					tabla: $(this).data("tabla")
				},
                success: function(data) {
                    
                    if(data){
                        location.reload(); 
                    }else{
                        if(problem ==1){
                            alter("Ups!, existio un problema en la solicitud, por favor intente otra véz");
                        }else if(problem>1){
                            alter("Ups!, existio un problema en la solicitud, por favor intente otra véz, si el problema perisiste contactese con el administrador");
                        }
                    }
                    
                },
                error: function(data) { 
                        if(problem ==1){
                            alter("Ups!, existio un problema en la solicitud, por favor intente otra véz");
                        }else if(problem>1){
                            alter("Ups!, existio un problema en la solicitud, por favor intente otra véz, si el problema perisiste contactese con el administrador");
                        }
                },
                complete: function(){}
			});
    
    
    
    
    
});




// Ajax Submit DESTACADO


$(document).on("click",".btn-privado",function(){
    
            var problem = 0;
    
           $.ajax({
				type: 'POST',
				url: '../post/privado.php',
                dataType: "json",
                cache: false,
                timeout: 8000,
				data: {
					privado: $(this).data("privado"),
					id_privado: $(this).data("key"),
					tabla: $(this).data("tabla")
				},
                success: function(data) {
                    
                    if(data){
                        location.reload(); 
                    }else{
                        if(problem ==1){
                            alter("Ups!, existio un problema en la solicitud, por favor intente otra véz");
                        }else if(problem>1){
                            alter("Ups!, existio un problema en la solicitud, por favor intente otra véz, si el problema perisiste contactese con el administrador");
                        }
                    }
                    
                },
                error: function(data) { 
                        if(problem ==1){
                            alter("Ups!, existio un problema en la solicitud, por favor intente otra véz");
                        }else if(problem>1){
                            alter("Ups!, existio un problema en la solicitud, por favor intente otra véz, si el problema perisiste contactese con el administrador");
                        }
                },
                complete: function(){}
			});
    
    
    
    
    
});





// Ajax Submit VISTOS


$(document).on("click",".btn-visto",function(){
    
            var problem = 0;
    
           $.ajax({
				type: 'POST',
				url: '../post/visto.php',
                dataType: "json",
                cache: false,
                timeout: 8000,
				data: {
					visto: $(this).data("visto"),
					id_visto: $(this).data("key"),
					tabla: $(this).data("tabla")
				},
                success: function(data) {
                    
                    if(data){
                        location.reload(); 
                    }else{
                        if(problem ==1){
                            alter("Ups!, existio un problema en la solicitud, por favor intente otra véz");
                        }else if(problem>1){
                            alter("Ups!, existio un problema en la solicitud, por favor intente otra véz, si el problema perisiste contactese con el administrador");
                        }
                    }
                    
                },
                error: function(data) { 
                        if(problem ==1){
                            alter("Ups!, existio un problema en la solicitud, por favor intente otra véz");
                        }else if(problem>1){
                            alter("Ups!, existio un problema en la solicitud, por favor intente otra véz, si el problema perisiste contactese con el administrador");
                        }
                },
                complete: function(){}
			});
    
    
    
    
    
});